Package org.apache.commons.math3.ode.nonstiff

# Interface FieldButcherArrayProvider<T extends RealFieldElement<T>>

Type Parameters:
  `T` - the type of the field elements

All Known Implementing Classes:
  `ClassicalRungeKuttaFieldIntegrator`, `DormandPrince54FieldIntegrator`, `DormandPrince853FieldIntegrator`, `EmbeddedRungeKuttaFieldIntegrator`, `EulerFieldIntegrator`, `GillFieldIntegrator`, `HighamHall54FieldIntegrator`, `LutherFieldIntegrator`, `MidpointFieldIntegrator`, `RungeKuttaFieldIntegrator`, `ThreeEighthesFieldIntegrator`

public interface FieldButcherArrayProvider<T extends RealFieldElement<T>>
This interface represents an integrator based on Butcher arrays.

Since:
  3.6
See Also:
  - `RungeKuttaFieldIntegrator`
  - `EmbeddedRungeKuttaFieldIntegrator`

## Method Summary

Modifier and Type
Method
Description
`T[][]`
`getA()`
Get the internal weights from Butcher array (without the first empty row).
`T[]`
`getB()`
Get the external weights for the high order method from Butcher array.
`T[]`
`getC()`
Get the time steps from Butcher array (without the first zero).

## Method Details

### getC

T[] getC()
Get the time steps from Butcher array (without the first zero).

Returns:
  time steps from Butcher array (without the first zero

### getA

T[][] getA()
Get the internal weights from Butcher array (without the first empty row).

Returns:
  internal weights from Butcher array (without the first empty row)

### getB

T[] getB()
Get the external weights for the high order method from Butcher array.

Returns:
  external weights for the high order method from Butcher array